Issue 54102 - Connector prevents rotation of group of objects
Connector prevents rotation of group of objects
Status: CLOSED FIXED
Product: Draw
Classification: Application
Component: editing
3.4.0
All All
: P3 trivial (vote)
: 4.0.0
Assigned To: Armin Le Grand
issues@graphics
:
Depends on:
Blocks: 121373 121365
  Show dependency treegraph
 
Reported: 2005-09-01 13:04 UTC by philroets
Modified: 2013-07-11 08:21 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Connector which prevents rotation of object group (8.11 KB, application/vnd.sun.xml.draw)
2005-09-01 13:06 UTC, philroets
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description philroets 2005-09-01 13:04:08 UTC
If a selected group of objects or a grouped object contains a connector the
rotation of the selection is prohibited.  Please example in attached file connector.


Environment : Windows Xp, AMD Processor ; release m118
Comment 1 philroets 2005-09-01 13:06:40 UTC
Created attachment 29247 [details]
Connector which prevents rotation of object group
Comment 2 wolframgarten 2005-09-01 13:28:24 UTC
Reproucible. Reassigned.
Comment 3 Armin Le Grand 2005-10-25 10:12:14 UTC
AW: This is not a defect, but defined behaviour at the moment. Group objects
define their possibilities defined on their content. Connectors cannot be
rotated. Thus, when a connector is selected or part of a group, it's not rotatable.
AW: Maybe an exception should be made here with connectors, but it's not a
defect. Maybe write an enchancement request based on this one.
Comment 4 Armin Le Grand 2012-06-17 11:49:33 UTC
ALG: Taking over. when only connectors are selected, rotation indeed is difficult and currently forbidden. For multiselection, connectors should be ignored for rotation. I will also check if there is something useful with rotation and connectors if only connectors are selected.
Comment 5 Armin Le Grand 2012-06-19 10:48:03 UTC
ALG: Added support for rotate, shear and mirror at the SdrObject. Allowed these actions for editing. Adapted interactive preview to show connectors. Checked and tested. Added needed transformation to aw080 (to be prepared).
Comitted as r1351648, done so far.
Comment 6 louqle 2012-11-22 01:39:10 UTC
verified in build 1409708 on Win7, suse 11 sp1 and Mac 10.7:
1. rotate the shape only: rotated
2. rotate the connector only: cannot rotate
3. select multi objects containing the connector: rotated
4: group the object with connector: rotated

All correct, close this defect